/******************************************************************************
*                              www.shotech.de                                 *
*                                                                             *
*******************************************************************************
*  $Source: /home/CVS/                      ,v $
*-----------------------------------------------------------------------------*
*  Datum der 1. Version  :  03.07.2003
*  Geraete Bezeichnung   :  MEGA-32-BOARD
*-----------------------------------------------------------------------------*
*- $Id:                                         Exp $
*-----------------------------------------------------------------------------*
*
*	source
*	----------
*	LCD-Driver-STE2002
*
******************************************************************************/




//--- Includes -----------------------------------------------------------------

#include "ste2002.h"
#include <string.h>





//--- global Variables ---------------------------------------------------------


// I2C-Displaybuffer
struct SDisplayI2C sDisplayI2C;


//- Buffer mit den Daten der Startsequenz zum Initialieren des Displays
const u8 DisplayInitBuffer[]={
//- Display Power Down
           DISPLAY_COMMAND,
           DISPLAY_FUNC_SET | DISPLAY_POWER_OFF,
//- H1 = 1, H0 = 0
           DISPLAY_COMMAND,
           DISPLAY_FUNC_SET | DISPLAY_POWER_OFF | DISPLAY_PAGE2,  
           DISPLAY_COMMAND,
           PARTIAL_DISABLE,       
           DISPLAY_COMMAND,
           DISPLAY_SET_MUX | DISPLAY_MUX_49,
           DISPLAY_COMMAND,
           DISPLAY_SET_FRAME | DISPLAY_FRAME_65,  //- !!! gend. 05.10.2006 12:55
//- H1 = 0, H0 = 0
           DISPLAY_COMMAND,
           DISPLAY_FUNC_SET | DISPLAY_POWER_OFF | DISPLAY_PAGE0,           
           DISPLAY_COMMAND,
           DISPLAY_SET_VLCD | DISPLAY_6_78V, 
           DISPLAY_COMMAND,
           DISPLAY_SET_CP | DISPLAY_PUMP_X3,
//- H1 = 0, H0 = 1
           DISPLAY_COMMAND,
           DISPLAY_FUNC_SET | DISPLAY_POWER_OFF | DISPLAY_PAGE1,
           DISPLAY_COMMAND,
           DISPLAY_BIAS_SET | DISPLAY_BIAS_4,
           DISPLAY_COMMAND,
           DISPLAY_SET_TC | DISPLAY_TEMP_TC0,
           DISPLAY_COMMAND,
           DISPLAY_SET_VOP | DISPLAY_VOP_V,
           DISPLAY_COMMAND,
           DISPLAY_DATA_FORMAT | DISPLAY_SET_DO,
           
//- H = 1, H0 = 1
           DISPLAY_COMMAND,
           DISPLAY_FUNC_SET | DISPLAY_POWER_OFF | DISPLAY_PAGE3,
           DISPLAY_COMMAND,
           DISPLAY_SET_T | DISPLAY_TEMP_T0,
//- H1 = 0, H0 = 0
           DISPLAY_COMMAND,
//           DISPLAY_FUNC_SET | DISPLAY_POWER_ON | DISPLAY_SET_MY | DISPLAY_PAGE0,
           DISPLAY_FUNC_SET | DISPLAY_POWER_ON | DISPLAY_PAGE0 | DISPLAY_SET_MX, // | DISPLAY_SET_MY,
           DISPLAY_COMMAND,
           DISPLAY_SET_RAM_Y,
           DISPLAY_COMMAND,
           DISPLAY_SET_RAM_X,
           DISPLAY_COMMAND,
           DISPLAY_CONFIG | DISPLAY_NORMAL           
//- Display On
};





//--- Routines -----------------------------------------------------------------

//==============================================================================
/*! die Initialisierungssequenz an das Display senden
//
//  \return wStatus         
*/
//==============================================================================
u16 LcdInit(void)
{
  u16 wStatus = NO_ERROR;
  
  wStatus = LcdWriteI2cBuffer((u8*)DisplayInitBuffer, sizeof(DisplayInitBuffer));
     
  return wStatus;
  
}
//==============================================================================







}
//==============================================================================






  